<div class="navbar-container" [class.example-is-mobile]="mobileQuery.matches">

  <!-- Top navbar -->
  <mat-toolbar class="navbar" color="primary">


    <button mat-icon-button (click)="snav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>

    <a class="navbar-brand" [routerLink]="['/']" matTooltip="Home">
      <h1>
        Product Planner
      </h1>
    </a>

    <span class="navbar-spacer"></span>

    <!-- <button mat-icon-button [matMenuTriggerFor]="notificationMenu">
      <mat-icon matBadge="2" matBadgeColor="accent">notifications</mat-icon>
    </button>
    <mat-menu #notificationMenu="matMenu" xPosition="before" yPosition="above" [overlapTrigger]="false">

      <a mat-menu-item>
        <span>You have new tasks</span>
      </a>
      <a mat-menu-item>
        <span>You have a new message</span>
      </a>

    </mat-menu> -->



    <button mat-button [matMenuTriggerFor]="userMenu">
      <mat-icon>person</mat-icon>
      <span fxShow fxHide.xs>
        Sirius Black
      </span>
    </button>
    <mat-menu #userMenu="matMenu" xPosition="before" yPosition="above" [overlapTrigger]="false">

      <a mat-menu-item [routerLink]="['/account/profile']">
        <mat-icon>person</mat-icon>
        <span>Account</span>
      </a>

      <a mat-menu-item [routerLink]="['/auth/login']">
        <mat-icon>exit_to_app</mat-icon>
        <span>Log out</span>
      </a>

    </mat-menu>

  </mat-toolbar>

  <mat-sidenav-container class="navbar-sidenav-container">
    <!-- Side nav -->
    <mat-sidenav #snav [opened]="!mobileQuery.matches" [mode]="mobileQuery.matches ? 'over' : 'side'"
      [fixedInViewport]="mobileQuery.matches" fixedTopGap="56" class="sidenav">

      <mat-nav-list>
        <h3 mat-subheader>Home</h3>

        <a mat-list-item routerLink="/">
          <mat-icon matListItemIcon>apps</mat-icon>
          <p matListItemTitle>Products</p>
        </a>

        <a mat-list-item routerLink="/owner-home">
          <mat-icon matListItemIcon>groups</mat-icon>
          <p matListItemTitle>Owners</p>
        </a>

        <a mat-list-item routerLink="/intv-detail">
          <mat-icon matListItemIcon>switch_access_shortcut</mat-icon>
          <p matListItemTitle>Initiatives</p>
        </a>




        <h3 mat-subheader>Search Initiatives</h3>

        <a mat-list-item routerLink="/intv-search-product">
          <mat-icon matListItemIcon>view_cozy</mat-icon>
          <p matListItemTitle>By Product</p>
        </a>

        <a mat-list-item routerLink="/intv-search-owner">
          <mat-icon matListItemIcon>group</mat-icon>
          <p matListItemTitle>By Owner</p>
        </a>
      </mat-nav-list>

    </mat-sidenav>

    <!-- Main content -->
    <mat-sidenav-content class="sidenav-content">

      <div class="progress-bar-container">
        <mat-progress-bar color="accent" mode="indeterminate" *ngIf="spinnerService.visibility | async">
        </mat-progress-bar>
        <!-- <mat-spinner class="spinner" [diameter]="50" *ngIf="showSpinner"></mat-spinner> -->
      </div>


      <router-outlet></router-outlet>

    </mat-sidenav-content>
  </mat-sidenav-container>

</div>
